#ifndef __RAW_SOCKET_H__
#define __RAW_SOCKET_H__
#include <fmt/format.h>
#include <string.h>
#include <stdio.h>
#include <thread>
#include <spdlog/spdlog.h>
#include <queue>
#include <mutex>
#include "common.h"

int raw_connect(std::string host, std::string port, int *socket_);
int raw_connect_nonblock(std::string host, std::string port, int *socket_, int recv_timeout = 5, int send_timeout = 5);
std::string raw_send(int s, const void *buf, size_t len);
#endif